org.eclipse.rdf4j.query.algebra.evaluation.function.xsd

## Class StringCast

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.CastFunction
  - - org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.StringCast

- All Implemented Interfaces:
    Function
  Direct Known Subclasses:
    StringCast

      public class StringCast
      extends CastFunction

  A `Function` that tries to cast its argument to an `xsd:string`.
  Author:
    Arjohn Kampman, Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringCast()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Literal` | `convert(ValueFactory valueFactory, Value value)` Convert the supplied value to a literal of the function output datatype.
    `Literal` | `evaluate(ValueFactory valueFactory, Value... args)` Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
    `protected IRI` | `getXsdDatatype()` Get the specific XML Schema datatype which this function returns.
    `protected boolean` | `isValidForDatatype(String lexicalValue)` Verifies that the supplied lexical value is valid for the datatype.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.CastFunction

      `getURI, getXsdName, typeError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate`

- - ### Constructor Detail

    - #### StringCast

          public StringCast()

  - ### Method Detail

    - #### evaluate

          public Literal evaluate(ValueFactory valueFactory,
                                  Value... args)
                           throws ValueExprEvaluationException

      Description copied from interface: `Function`
      Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
      Specified by:
        `evaluate` in interface `Function`
      Overrides:
        `evaluate` in class `CastFunction`
      Parameters:
        `valueFactory` - a `ValueFactory` to use for producing the function result.
        `args` - the function input arguments.
      Returns:
        the function result value.
      Throws:
        `ValueExprEvaluationException`

    - #### convert

          protected Literal convert(ValueFactory valueFactory,
                                    Value value)
                             throws ValueExprEvaluationException

      Description copied from class: `CastFunction`
      Convert the supplied value to a literal of the function output datatype.
      Specified by:
        `convert` in class `CastFunction`
      Parameters:
        `valueFactory` - the valueFactory to use
        `value` - a value that is not a string-typed literal, and not a literal of the same datatype as the function output datatype.
      Returns:
        a literal value of the function output datatype
      Throws:
        `ValueExprEvaluationException` - if an error occurs in conversion.

    - #### getXsdDatatype

          protected IRI getXsdDatatype()

      Description copied from class: `CastFunction`
      Get the specific XML Schema datatype which this function returns.
      Specified by:
        `getXsdDatatype` in class `CastFunction`
      Returns:
        an XML Schema datatype IRI

    - #### isValidForDatatype

          protected boolean isValidForDatatype(String lexicalValue)

      Description copied from class: `CastFunction`
      Verifies that the supplied lexical value is valid for the datatype.
      Specified by:
        `isValidForDatatype` in class `CastFunction`
      Parameters:
        `lexicalValue` - a lexical value
      Returns:
        true if the lexical value is valid for the datatype, false otherwise.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.